BeagleBoardPkg: enable -DDISABLE_NEW_DEPRECATED_INTERFACES
authorArd Biesheuvel <ard.biesheuvel@linaro.org>
Tue, 25 Oct 2016 16:33:48 +0000 (17:33 +0100)
committerArd Biesheuvel <ard.biesheuvel@linaro.org>
Fri, 28 Oct 2016 14:55:53 +0000 (15:55 +0100)
Define DISABLE_NEW_DEPRECATED_INTERFACES on the compiler command line by
default, to prevent deprecated interfaces from being used in core EDK2
code.

Bug: https://bugzilla.tianocore.org/show_bug.cgi?id=164
Contributed-under: TianoCore Contribution Agreement 1.0
Signed-off-by: Ard Biesheuvel <ard.biesheuvel@linaro.org>
Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>
BeagleBoardPkg/BeagleBoardPkg.dsc

index 2951c689c7535b65d0721c975e250e641044d5f5..1e2ecdc21ad948506a4e2de9c10fb8bdd1199b25 100644 (file)
 \r
 [BuildOptions]\r
   XCODE:*_*_ARM_PLATFORM_FLAGS == -arch armv7\r
-\r
   GCC:*_*_ARM_PLATFORM_FLAGS == -march=armv7-a\r
-\r
   RVCT:*_*_ARM_PLATFORM_FLAGS == --cpu Cortex-A8\r
 \r
+  *_*_*_CC_FLAGS = -DDISABLE_NEW_DEPRECATED_INTERFACES\r
+\r
 ################################################################################\r
 #\r
 # Pcd Section - list of all EDK II PCD Entries defined by this Platform\r